package beilv.voucher.service;

import java.util.List;

import beilv.common.core.domain.AjaxResult;
import beilv.voucher.domain.BeilvVoucher;
import beilv.voucher.domain.BeilvVoucherMember;

/**
 * 代金券Service接口
 *
 * @author ruoyi
 * @date 2025-11-20
 */
public interface IBeilvVoucherService {
    /**
     * 查询代金券
     *
     * @param id 代金券主键
     * @return 代金券
     */
    public BeilvVoucher selectBeilvVoucherById(Long id);

    /**
     * 查询代金券列表
     *
     * @param beilvVoucher 代金券
     * @return 代金券集合
     */
    public List<BeilvVoucher> selectBeilvVoucherList(BeilvVoucher beilvVoucher);

    /**
     * 新增代金券
     *
     * @param beilvVoucher 代金券
     * @return 结果
     */
    public int insertBeilvVoucher(BeilvVoucher beilvVoucher);

    /**
     * 修改代金券
     *
     * @param beilvVoucher 代金券
     * @return 结果
     */
    public int updateBeilvVoucher(BeilvVoucher beilvVoucher);

    /**
     * 批量删除代金券
     *
     * @param ids 需要删除的代金券主键集合
     * @return 结果
     */
    public int deleteBeilvVoucherByIds(String ids);

    /**
     * 删除代金券信息
     *
     * @param id 代金券主键
     * @return 结果
     */
    public int deleteBeilvVoucherById(Long id);

}
